Query All Sub-account Deposit History(Recent 3 days)
master account query all Sub-account deposit history
request
get /api/v3/broker/capital/deposit/subHisrec/getall?timestamp={{timestamp}}&signature={{signature}}
response
[
{
"amount":"0.00999800",
"coin":"PAXG",
"network":"ETH",
"status":1,
"address":"0x788cabe9236ce061e5a892e1a59395a81f8d62c",
"txId":"0xaad4654a3234aa6118af9b4b335f5ae81c360b2394721c019b5d1e8b09f3",
"unlockConfirm":"12",
"confirmTimes":"7",
"insertTime": 1659513342000,
"memo": "xxyy1122"
},
{
"amount":"0.50000000",
"coin":"IOTA",
"network":"IOTA",
"status":1,
"address":"SIZ9VLMHWATXKV99LH99CIGFJFUMLEHGWVZZXRJJVWBPHYWPPBOSDORZ9EQSHCZAMPVAPGFYQAUUV9DROOXJLNW",
"txId":"ESBFVQUTPIWQNJSPXFNHNYHSQNTGKRVKPRABQWTAXCWPTVG9BGXNVNKTLEJGESAVXIKIZ9999",
"unlockConfirm":"12",
"confirmTimes":"7",
"insertTime": 1659513352000,
"memo": "ttzz1122"
}
]
Http Request:
- GET
/api/v3/broker/capital/deposit/subHisrec/getall
Request Parameter:
| Name | Type | Mandatory | Description |
|---|---|---|---|
| coin | string | no | deposit coin |
| status | string | no | deposit status |
| startTime | string | no | startTime |
| endTime | string | no | endTime |
| limit | string | no | default:100 |
| page | string | no | default:1 |
| recvWindow | string | no | recvWindow |
| timestamp | string | yes | timestamp |
| signature | string | yes | signature |
Response Parameter:
| Name | Type | Description |
|---|---|---|
| amount | string | deposit amount |
| coin | string | deposit coin |
| network | string | deposit network |
| status | number | deposit status |
| address | string | Deposit address(If a suffix is present, the suffix represents the memo) |
| txId | string | txid |
| unlockConfirm | string | unlockConfirm |
| confirmTimes | string | confirmTimes |
| insertTime | number | insertTime |
| memo | string | memo |